Bug 158471 - document.webkitFullscreenElement leaks elements inside a shadow tree
Summary: document.webkitFullscreenElement leaks elements inside a shadow tree
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: DOM (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Ryosuke Niwa
URL:
Keywords: InRadar
Depends on:
Blocks: 148695
  Show dependency treegraph
 
Reported: 2016-06-07 02:54 PDT by Ryosuke Niwa
Modified: 2016-12-09 14:06 PST (History)
5 users (show)

See Also:


Attachments
Fixes the bug (34.75 KB, patch)
2016-12-08 17:44 PST, Ryosuke Niwa
no flags Details | Formatted Diff | Diff
Removed tabs (34.76 KB, patch)
2016-12-08 17:45 PST, Ryosuke Niwa
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews121 for ios-simulator-wk2 (deleted)
2016-12-08 19:21 PST, Build Bot
no flags Details
Skip the test on iOS WK2 (35.86 KB, patch)
2016-12-08 19:25 PST, Ryosuke Niwa
cdumez: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ryosuke Niwa 2016-06-07 02:54:16 PDT
We should update our fullscreen API per discussions on https://github.com/w3c/webcomponents/issues/180
Comment 1 Radar WebKit Bug Importer 2016-11-01 01:01:16 PDT
<rdar://problem/29040647>
Comment 2 Ryosuke Niwa 2016-12-08 17:44:05 PST
Created attachment 296602 [details]
Fixes the bug
Comment 3 Ryosuke Niwa 2016-12-08 17:45:00 PST
Created attachment 296603 [details]
Removed tabs
Comment 4 Build Bot 2016-12-08 19:21:12 PST
Comment on attachment 296603 [details]
Removed tabs

Attachment 296603 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: http://webkit-queues.webkit.org/results/2658636

New failing tests:
fast/shadow-dom/fullscreen-in-shadow-webkitCurrentFullScreenElement.html
fast/shadow-dom/fullscreen-in-shadow-fullscreenElement.html
fast/shadow-dom/fullscreen-in-slot-fullscreenElement.html
fast/shadow-dom/fullscreen-in-slot-webkitCurrentFullScreenElement.html
Comment 5 Build Bot 2016-12-08 19:21:18 PST
Created attachment 296615 [details]
Archive of layout-test-results from ews121 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews121  Port: ios-simulator-wk2  Platform: Mac OS X 10.11.6
Comment 6 Ryosuke Niwa 2016-12-08 19:25:30 PST
Created attachment 296619 [details]
Skip the test on iOS WK2
Comment 7 Ryosuke Niwa 2016-12-09 11:30:04 PST
Ping reviewers
Comment 8 Chris Dumez 2016-12-09 13:34:17 PST
Comment on attachment 296619 [details]
Skip the test on iOS WK2

r=me
Comment 9 Ryosuke Niwa 2016-12-09 14:06:58 PST
Committed r209628: <http://trac.webkit.org/changeset/209628>